<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hnb',

    /*
     * Package.
     */
    'package'   => 'wallet',

    /*
     * Modules.
     */
    'modules'   => ['wallet', 
'transaction'],

    'wallet'       => [
        'model' => [
            'model'                 => \Hnb\Wallet\Models\Wallet::class,
            'table'                 => 'wallets',
            'presenter'             => \Hnb\Wallet\Repositories\Presenter\WalletPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'customer_id',  'rate',  'deposit',  'withdraw',  'count',  'type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'wallet/wallet',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hnb',
            'package'   => 'Wallet',
            'module'    => 'Wallet',
        ],

    ],

    'transaction'       => [
        'model' => [
            'model'                 => \Hnb\Wallet\Models\Transaction::class,
            'table'                 => 'transactions',
            'presenter'             => \Hnb\Wallet\Repositories\Presenter\TransactionPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'wallet_id',  'customer_id',  'deposit',  'withdrawal',  'rate',  'fee',  'fund_uid',  'fund_extra',  'status',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'wallet/transaction',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hnb',
            'package'   => 'Wallet',
            'module'    => 'Transaction',
        ],

    ],
];
