<?php

namespace Hnb\Wallet\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Hnb\Wallet\Interfaces\WalletRepositoryInterface;

class WalletPublicController extends BaseController
{
    // use WalletWorkflow;

    /**
     * Constructor.
     *
     * @param type \Hnb\Wallet\Interfaces\WalletRepositoryInterface $wallet
     *
     * @return type
     */
    public function __construct(WalletRepositoryInterface $wallet)
    {
        $this->repository = $wallet;
        parent::__construct();
    }

    /**
     * Show wallet's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $wallets = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$wallet::wallet.names'))
            ->view('wallet::wallet.index')
            ->data(compact('wallets'))
            ->output();
    }


    /**
     * Show wallet.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $wallet = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$wallet->name . trans('wallet::wallet.name'))
            ->view('wallet::wallet.show')
            ->data(compact('wallet'))
            ->output();
    }

}
