<?php

namespace Hnb\Wallet\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TransactionTransformer extends TransformerAbstract
{
    public function transform(\Hnb\Wallet\Models\Transaction $transaction)
    {
        return [
            'id'                => $transaction->getRouteKey(),
            'key'               => [
                'public'    => $transaction->getPublicKey(),
                'route'     => $transaction->getRouteKey(),
            ], 
            'id'                => $transaction->id,
            'wallet_id'         => $transaction->wallet_id,
            'customer_id'       => $transaction->customer_id,
            'deposit'           => $transaction->deposit,
            'withdrawal'        => $transaction->withdrawal,
            'rate'              => $transaction->rate,
            'fee'               => $transaction->fee,
            'fund_uid'          => $transaction->fund_uid,
            'fund_extra'        => $transaction->fund_extra,
            'status'            => $transaction->status,
            'created_at'        => $transaction->created_at,
            'deleted_at'        => $transaction->deleted_at,
            'updated_at'        => $transaction->updated_at,
            'url'               => [
                'public'    => trans_url('wallet/'.$transaction->getPublicKey()),
                'user'      => guard_url('wallet/transaction/'.$transaction->getRouteKey()),
            ], 
            'status'            => trans('app.'.$transaction->status),
            'created_at'        => format_date($transaction->created_at),
            'updated_at'        => format_date($transaction->updated_at),
        ];
    }
}