<?php

namespace Hnb\Wallet\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class WalletTransformer extends TransformerAbstract
{
    public function transform(\Hnb\Wallet\Models\Wallet $wallet)
    {
        return [
            'id'                => $wallet->getRouteKey(),
            'key'               => [
                'public'    => $wallet->getPublicKey(),
                'route'     => $wallet->getRouteKey(),
            ], 
            'id'                => $wallet->id,
            'customer_id'       => $wallet->customer_id,
            'rate'              => $wallet->rate,
            'deposit'           => $wallet->deposit,
            'withdraw'          => $wallet->withdraw,
            'count'             => $wallet->count,
            'type'              => $wallet->type,
            'created_at'        => $wallet->created_at,
            'updated_at'        => $wallet->updated_at,
            'deleted_at'        => $wallet->deleted_at,
            'url'               => [
                'public'    => trans_url('wallet/'.$wallet->getPublicKey()),
                'user'      => guard_url('wallet/wallet/'.$wallet->getRouteKey()),
            ], 
            'status'            => trans('app.'.$wallet->status),
            'created_at'        => format_date($wallet->created_at),
            'updated_at'        => format_date($wallet->updated_at),
        ];
    }
}