<?php

namespace Hnb\Wallet;

use User;

class Wallet
{
    /**
     * $wallet object.
     */
    protected $wallet;
    /**
     * $transaction object.
     */
    protected $transaction;

    /**
     * Constructor.
     */
    public function __construct(\Hnb\Wallet\Interfaces\WalletRepositoryInterface $wallet,
        \Hnb\Wallet\Interfaces\TransactionRepositoryInterface $transaction)
    {
        $this->wallet = $wallet;
        $this->transaction = $transaction;
    }

    /**
     * Returns count of wallet.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.wallet.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->wallet->pushCriteria(new \Litepie\Hnb\Repositories\Criteria\WalletUserCriteria());
        }

        $wallet = $this->wallet->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('wallet::' . $view, compact('wallet'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.transaction.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->transaction->pushCriteria(new \Litepie\Hnb\Repositories\Criteria\TransactionUserCriteria());
        }

        $transaction = $this->transaction->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('wallet::' . $view, compact('transaction'))->render();
    }
}
